GET /api/v3/meter/{meterId}/group

Retrieves all meter group memberships for a specific meter

GetMeterGroupsV3 Permissions: Meters (View)
Use this endpoint to see which groups (manual and auto) a meter belongs to. To change memberships, use PUT /meter/{meterId}/group.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
meterId Unique numeric identifier of the meter integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

MeterGroupResponse
Property Description Type
autoGroup Indicates if this meter group is an autogroup boolean
lastUpdated The last time a member was inserted, updated, or deleted from the group string (date-time)
meterGroupCategory MeterGroupCategoryChild
MeterGroupCategoryChild properties
Property Description Type
meterGroupCategoryCode Short code for the category (e.g., “BY_BLDG_TYPE”) string
meterGroupCategoryId Unique numeric identifier of the meter group category integer (int32)
meterGroupCategoryInfo Descriptive name of the category string
meterGroupCode The meter group code string
meterGroupId The meter group identifier integer (int32)
meterGroupInfo The meter group info string
userDefinedAutoGroup Indicates if this meter group is an user defined auto group boolean
Example Response application/json
[
  {    "autoGroup": false,    "lastUpdated": "2026-06-29",    "meterGroupCategory": {      "meterGroupCategoryCode": "string",      "meterGroupCategoryId": 1,      "meterGroupCategoryInfo": "string"
    },    "meterGroupCode": "string",    "meterGroupId": 1,    "meterGroupInfo": "string",    "userDefinedAutoGroup": false
  }
]
404 Not Found The requested resource was not found. Verify the ID or path is correct.